metadata:
  name: test skipped jobs
jobs:
  dummy:
    runs-on: windows
    if: 1 == 0
    steps:
    - run: echo "oh no, should not be displayed!"
  chain_always:
    runs-on: windows
    needs: dummy
    if: always()
    steps:
    - run: echo "dummy status is ${{ needs.dummy.result }}"
  chain_default:
    runs-on: windows
    needs: dummy
    steps:
    - run: echo "oh no, should not be displayed!"
  surprise:
    if: 1 == 4
    runs-on: windows
    steps:
    - run: echo "oh no, should not be displayed!"
